PDA

View Full Version : Waves 9.6 and newer do not support TDM


John_Toolbox
12-29-2015, 08:32 AM
Just a heads up to everyone, do not update to waves v9.6 if you are running a TDM system. Just got this email from waves:

Dear Valued Waves user,

As of January 2016, Waves will stop supporting the TDM format. Any plugins installed or updated via the Waves Central application will not support TDM and will cause previously installed plugins to not support TDM.

If you need TDM support, please visit this page to download an offline installer (http://www.waves.com/support/tdm-no-longer-supported-waves-v9-6-or-later?utm_source=wnletter&utm_medium=email&utm_campaign=tdm), covering the most recent versions of TDM-compatible Waves software.

Best regards,
The Waves Team

Raoul23
12-29-2015, 08:57 AM
Yeah I got this to I've downloaded the offline installer I'm still not completely sure what happens if you do update do you lose your licenses ??

Wall2Wall
12-29-2015, 09:16 AM
I'm still not completely sure what happens if you do update do you lose your licenses ??

Try it and let us know. :D

...Any plug-ins installed or updated via the Waves Central application will not support TDM and will cause previously installed plug-ins to not support TDM.

musicman691
12-29-2015, 02:46 PM
Not sure where to put this and if one of the moderators can find a better spot - move it at will. Got an email this morning and Waves as of January 2016 will no longer support TDM format plugins. Here's the text of the email:

Dear Valued Waves user,

As of January 2016, Waves will stop supporting the TDM format. Any plugins installed or updated via the Waves Central application will not support TDM and will cause previously installed plugins to not support TDM.

If you need TDM support, please visit this page to download an offline installer, covering the most recent versions of TDM-compatible Waves software.

Best regards,
The Waves Team

and here's a link to the Waves page for mroe as well as the offline installer: http://www.waves.com/support/tdm-no-longer-supported-waves-v9-6-or-later (http://www.waves.com/support/tdm-no-longer-supported-waves-v9-6-or-later?utm_source=wnletter&utm_medium=email&utm_campaign=tdm)

Drew Mazurek
12-29-2015, 02:57 PM
Surprised it took them this long.

TDM PT rigs are frozen forever at PT10.3.10 and whatever OS. They'd be stupid to put any more resources into its development.

WernerF
12-29-2015, 05:26 PM
Surprised it took them this long.

TDM PT rigs are frozen forever at PT10.3.10 and whatever OS. They'd be stupid to put any more resources into its development.

Is it stupid to support a platform that tons of studios and music pro's are still using because HDX is not usable as a DSP based system due to a profound lack of proper DSP plugins. For quite awhile tracking and mixing music did not involve jumping through hoops and making compromises to your workflow. The only platform that exists in that form is still Pro Tools TDM.

propower
12-29-2015, 06:27 PM
Waves is dropping future support for TDM.
Waves has released an offline installer that will put everything that is TDM today on your machine. So in essence any PT10HD TDM rigs that work with Waves will work with this installer. So what does "dropping support mean"? No more new stuff for TDM. I fail to understand why this would upset anyone. The system (TDM) has been EOL for years.

WernerF
12-29-2015, 06:54 PM
EOL for the manufacturers, not EOL for the users. TDM still is the only system that doesn't make the user jump through hoops in order to get the pro job done.

Drew Mazurek
12-30-2015, 04:11 AM
Is it stupid to support a platform that tons of studios and music pro's are still using because HDX is not usable as a DSP based system due to a profound lack of proper DSP plugins. For quite awhile tracking and mixing music did not involve jumping through hoops and making compromises to your workflow. The only platform that exists in that form is still Pro Tools TDM.

Right, so just as TDM rigs are frozen with regard to OS and PT version, so should Waves' plugins. It makes perfect sense.

dtmprod
12-30-2015, 07:48 AM
Yeah I got this to I've downloaded the offline installer I'm still not completely sure what happens if you do update do you lose your licenses ??

I had a similar question so I called tech support. Apparently anything 'new' that you install moving forward will remove & update any current Waves TDM plugins, thereby rendering Waves TDM unusable. Bottomline, TDM users are now frozen at current version & unable to to do any updates or buy new plugins without running risk of losing their present TDM functionality. Unless you're willing to create a dual boot system where one is 'frozen' & the other 'updatable'.

Raoul23
12-30-2015, 12:14 PM
Interesting I don't plan on buying anymore waves plugins anyway, so I've downloaded that last TDM installer thing just incase. At the moment I've still using V8 with my ILok licenses even though I have V9.2 in the cloud best I download these to my computer to

Raoul23
12-30-2015, 01:19 PM
Just installed the TDM installer and waves central but for some reason I can't see all the plugins, there is no scroll wheel to scroll through them all I see is the last 5 plugins in ascending order??

Raoul23
12-30-2015, 02:12 PM
I just picked to install them all as I couldn't see all plugins and it installed them all but in my Pro Tools plugin window it only shows me the ones I have licenses for. Works differently to their old installers but seems to be working ok

rmhunt3
12-30-2015, 05:28 PM
I got the email and then tried to load up protools and it said i didn't have the correct licenses for the plug ins. now they are gone and the installer does nothing. I only bought the gold bundle a month ago and now this? has anyone else lost all but a few plugins?

crizdee
12-31-2015, 12:20 AM
Yeah I got this to I've downloaded the offline installer I'm still not completely sure what happens if you do update do you lose your licenses ??

Hi,

I doubt you would lose any licences. My guess is any new waveshells are not going to be compatible with previous waveshells so you won't be able to mix new with old.

I currently mix waveshells 8 and 9. 9 for anything that was new and not in 8. And 8 for everything else as version 8 works better for me as 9 introduced a massive problem with mouse scrolling support where it will adjust the wrong parameter and not the one you are hovering over! All fine on version 8, all snafu on version 9. waves said nothing had changed.

Chris